#
# spec file for package suck
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           suck
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  inn-devel
BuildRequires:  openssl-devel
Version:        4.3.4
Release:        1.30
Url:            https://github.com/lazarus-pkgs/suck
Summary:        Reading News Offline
License:        SUSE-Public-Domain
Group:          Productivity/Networking/News/Utilities
%{?libperl_requires}
Source:         https://github.com/lazarus-pkgs/%{name}/archive/%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Suck is a program used to grab news from a remote NNTP news server and
bring it to a local machine, without having the remote server do
anything special.

%prep
%setup -q

%build
autoreconf -fi
%configure --with-inn-lib=/usr/lib/news/lib/ --with-inn-include=/usr/lib/news/include/
# parallel building doesnt work
make

%install
%make_install DESTDIR="%{?buildroot}"

%files
%defattr(-,root,root)
/usr/bin/*
%doc %{_mandir}/man1/*

%changelog
* Wed Aug  1 2018 mvetter@suse.com
- Update to 4.3.4:
  * Fix invalid memory access in both.c (Debian bug #858040)
  * Fix SIGSEV in connect_to_nntphost (Debian bugs #716448,
    [#716510], #716606)
  * Fix stack smash in lmove.c and suckutils.c (Debian bug #832265)
  * Fix manpage formatting (Debian bug #858262)
* Thu Oct 26 2017 mvetter@suse.com
- Update to 4.3.3:
  * General code cleanup
  * Applying patches from Debian, Fedora and openSUSE
  * Add support for IPv6
  * Manpage fixes
  * Default path for history file is now /var/lib/news/history
  * Default path for phrases file is now /etc/suck/phrases
  * Install to DESTDIR
  * Don't strip binaries
- Remove:
  * suck-4.3.0.dif
  * suck-4.3.0-ia64.patch
  * suck-4.3.0-thrperl.dif
  * suck-4.3.0-fgets.patch
  * suck-4.3.0-inn3_headers_location.patch
  * suck-4.3.0-codecleanup.patch
- Remove conditional around inn-devel
- Use standard make install
- Solves boo#747941
* Fri Sep 29 2017 mvetter@suse.com
- Update to home-made 4.3.3
* Thu Sep  5 2013 mls@suse.de
- add libperl_requires, as we link against libperl and thus
  need a specific version of perl
* Thu Apr 22 2010 pth@novell.com
- Fix location of inn3 headers.
- Fix some compiler warnings.
- Move examples to _docdir/examples.
* Mon Jun  4 2007 dmueller@suse.de
- update BuildRequires
* Wed Feb 14 2007 mvaner@suse.cz
- Replaced dangerous gets with fgets, bug #223615
  - fgets.patch
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sun Jan 15 2006 schwab@suse.de
- Don't strip binaries.
* Wed Apr 28 2004 ro@suse.de
- added -fno-strict-aliasing
* Sun Jan 11 2004 adrian@suse.de
- add %%defattr
* Thu Jul 31 2003 ro@suse.de
- don't try to include configdata.h, it's been long obsolete
* Fri Aug  9 2002 mls@suse.de
- made it work with threaded perl
* Thu May  2 2002 mls@suse.de
- use inn-2.3 history format (bug reported by Harald Schreiber)
* Fri Feb 22 2002 mls@suse.de
- Fixed linkage of dynamic perl library
* Fri Nov 23 2001 nadvornik@suse.cz
- update to 4.3.0:
  - SSL support
  - rpost: added the -i option to ignore the 201 readonly code
    and try to post anyway
  - suck: added the -bP option to post articles to the local server
    every x number of articles, instead of waiting until all articles
    are downloaded.
* Mon May 21 2001 nadvornik@suse.cz
- fixed cast warnings and include files for ia64
* Tue Mar 13 2001 nadvornik@suse.cz
- update to 4.2.5
* Mon Nov 13 2000 ro@suse.de
- use -lm for libperl on all archs
* Wed Sep 27 2000 nadvornik@suse.cz
- default location for history file changed
  from /usr/news/db/history to /var/lib/news/history
* Wed Sep 13 2000 schwab@suse.de
- Fix Makefile for ia64
- Include <stdlib.h> for malloc.
* Tue May 23 2000 nadvornik@suse.cz
- update to 4.2.4
* Thu May 18 2000 nadvornik@suse.cz
- changed Group tag
* Tue Apr 11 2000 nadvornik@suse.cz
- added URL
* Tue Mar 21 2000 nadvornik@suse.cz
- added BuildRoot
- fixed Makefile.in for sparc
* Fri Feb 18 2000 fehr@suse.de
- changed to new version 4.2.3
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Sep  3 1999 uli@suse.de
- fixed Makefile.in for PPC
- added RPM_OPT_FLAGS to CFLAGS in Makefile.Linux
* Fri Aug 27 1999 fehr@suse.de
- update to 4.2.2
* Thu Oct  1 1998 ro@suse.de
- update to 3.9.4
* Thu Jul 16 1998 florian@suse.de
- update to version 3.9.3
- simplified spec-file
* Mon Mar  2 1998 florian@suse.de
- update to version 3.9.1
* Fri Oct 10 1997 florian@suse.de
- update to version 3.6.0
* Mon Jun 23 1997 florian@suse.de
- update to version 3.5.1
* Tue May 27 1997 florian@suse.de
- fix path to /var/lib/news/history
- update to version 3.4.1
* Thu Jan  2 1997 florian@suse.de
- update to version 3.3.2
* Thu Jan  2 1997 florian@suse.de
- Update auf neue Version 3.3.0.
- Anpassung einiger einkompilierter Pfade.
* Thu Jan  2 1997 florian@suse.de
- update to newer version
* Thu Jan  2 1997 bs@suse.de
  1. Version
